#
# spec file for package xorg-x11-util-devel
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xorg-x11-util-devel
Version:        7.6_1
Release:        bp160.3.6
Summary:        Compatibility metapackage for X11 development
License:        MIT
Group:          Development/Libraries/X11
Url:            http://xorg.freedesktop.org/
Source0:        README.meta

## Requires of packages that we split away from xorg-x11-util-devel
Requires:       gccmakedep
Requires:       imake
Requires:       lndir
Requires:       makedepend
Requires:       xorg-cf-files
Requires:       xorg-sgml-doctools
## End Requires of packages that we split away from xorg-x11-util-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package is a compatibility metapackage. It used to contain the
gccmakedep, imake, lndir, makedepend, xorg-cf-files, xorg-sgml-doctools
utilities.

%prep
%setup -c -T
cp %{SOURCE0} .

%build

%install

%files
%defattr(-,root,root)
%doc README.meta

%changelog
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Remove a superfluous Require
* Sun Apr 15 2012 vuntz@opensuse.org
- Split utilities in their own source packages: gccmakedep imake
  lndir makedepend xorg-cf-files xorg-sgml-doctools
- Bump version to 7.6_1 since the split packages have a Conflicts
  with xorg-x11-util-devel <= 7.6.
- Add a README.meta file to explain the goal of this compatibility
  metapackage.
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to imake 1.0.5:
  + Silence useless pedantry warning from find(1) when running
    cleanlinks
  + Fix compiler warnings
  + Janitorial cleanups
- Update to lndir 1.0.3:
  + Fix compiler warnings
  + Janitorial cleanups
- Update to makedepend 1.0.4:
  + Raise MAXFILES from 1024 to 2048
  + Fix bashism
  + Fix compiler warnings
  + Janitorial cleanups
- Update to xorg-cf-files 1.0.4:
  + Update xorgversion.def from 7.5 to 7.6
  + Remove libXp from XawClientLibs
  + Use font-util 1.1 macros to set FontDir and FontEncDir in
    site.def
  + Build system improvements
- Update to xorg-sgml-doctools 1.10:
  + Embed CSS styles inside the HTML HEAD element
  + Add olink support for chunked html
  + Changes from 1.9:
  - Add support for generating chunked xhtml for DocBooks
  - Review documents cascading style sheet
  - Update masterdb for libX11/i18n/compose/libX11-keys.xml
  + Changes from 1.8:
  - Change the location where the target dbs for olinks are
    expected to be located
  - Match libX11 installation directory structure change
  - Remove the libXi porting document target db
  + Changes from 1.7:
  - Add support for docbook external references
- Add xorg-x11-xtrans-devel BuildRequires since xorg-cf-files now
  requires font-util.
* Thu Mar 22 2012 jengelh@medozas.de
- Parallel build with %%_smp_mflags; strip redundant sections/tags
- Use pkgconfig symbols for BuildRequires
* Wed Feb  8 2012 coolo@suse.com
- change license to be in spdx.org format
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%configure macro
* Thu May 19 2011 eich@novell.com
- Remove the last patch in this package and add content to the local
  host.def file (for reference) as this patch is only relevant for
  SPARC64 builds anyhow.
  The patch could probably be upstreamed but this is should be done
  by distributors who still build for SPARC64. Debian doesn't use
  lib64/ on any 64-bit systems so they will not need this change.
  I'm not sure of about any others.
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Sun Dec 19 2010 sndirsch@novell.com
- xorg-sgml-doctools 1.6
  * This release provides another round of improvements to the XSL
    stylesheet, especially improving the output of PDF documents
    from FOP, and provides the updated XML entities to substitute
    dates & versions in documentation for the X11R7.6 final release.
* Fri Nov 12 2010 sndirsch@novell.com
- xorg-sgml-doctools 1.5.99.901 (1.6 RC1)
  * This snapshot for the upcoming 7.6RC1 katamari makes the
    entities compatible with the XML documents we now build in
    xorg-docs, as well as providing various stylesheet updates
    to improve the documentation formatting and generation.
* Sun Oct 31 2010 sndirsch@novell.com
- imake 1.0.4
  * This release provides a random collection of build
    improvements, fixes for Cygwin compatibility, and janitorial
    cleanups.
* Sat Oct 30 2010 sndirsch@novell.com
- makedepend 1.0.3
  * This release fixes a bug if you have directories and files with
    the same names (more likely with C++'s suffixless include
    filenames, such as Qt's "QtCore").
* Sat Sep  4 2010 sndirsch@suse.de
- imake-1.0.3
- lndir-1.0.2
- xorg-cf-files-1.0.3
- xorg-sgml-doctools-1.5
* Sun Apr  4 2010 sndirsch@suse.de
- makedepend 1.0.2
- xorg-sgml-doctools 1.3
- bumped version number to 7.5
* Tue Feb  9 2010 jengelh@medozas.de
- add necessary pieces for sparcv9/64 support
* Mon Dec 14 2009 jengelh@medozas.de
- enable parallel building
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Tue Oct 23 2007 sndirsch@suse.de
- added xorg-sgml-doctools 1.2 (Bug #335450)
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Wed Mar 21 2007 sndirsch@suse.de
- updated makedepend to release 1.0.1
  * Coverity #925: Pointer "file" dereferenced before NULL check
  * And packaged using new util macros.
* Thu Oct 26 2006 sndirsch@suse.de
- set version to 7.2 in specfile
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Wed Jul 26 2006 sndirsch@suse.de
- fixed imake config dir in host.def (Bug #195064)
* Tue Jul 25 2006 sndirsch@suse.de
- make use of $RPM_OPT_FLAGS (host.def)
* Tue Jul 25 2006 sndirsch@suse.de
- no need to remove /usr/lib/X11 symlink any longer
* Mon Jul 24 2006 sndirsch@suse.de
- changed config dir to /usr/share/X11/config
* Mon Jul 24 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
* Thu Jul 20 2006 sndirsch@suse.de
- removed usr/lib/X11 directory from filelist, since it conflicts
  with filesystem package
* Thu Jul 20 2006 sndirsch@suse.de
- added /usr/%%{_lib}/X11 to %%files to fix build
* Fri Jun 23 2006 sndirsch@suse.de
- created package
